"""
A one time (not persistent) blocking TCP client
"""

import socket

class oneTimeTCPClient:
  def __init__(self, ip, port):
    self.socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    self.recvBuffSize = 2048
    self.serverAddr = (ip, port)

  def start(self):
    self.socket.connect(self.serverAddr)

  def send(self, data):
    self.socket.send(data)

  def recv(self):
    return self.socket.recv(self.recvBuffSize)
  
